import { Color } from '../models/colors';
import * as i0 from "@angular/core";
export declare class ChrButtonComponent {
    display?: string;
    icon?: string;
    click?: Function;
    clickWhileDisabled?: Function;
    color: Color;
    textColor?: Color;
    flat: boolean;
    predicate?: boolean;
    type: 'responsive' | 'table' | 'full' | 'fixed' | 'small' | 'none';
    href?: string;
    target?: '_blank' | '_parent' | '_self' | '_top';
    disabled: boolean;
    tooltip?: string;
    tooltipPosition?: 'above' | 'below' | 'left' | 'right' | 'before' | 'after';
    constructor();
    setDisabled: (is: boolean) => void;
    doClick: () => void;
    getBackgroundColor: (color: Color) => string;
    getTextColor: (color: Color) => string;
    getWidth: () => "w-36" | "w-full" | "w-9" | "w-min";
    getShadow: () => "" | "button-shadow";
    static ɵfac: i0.ɵɵFactoryDeclaration<ChrButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChrButtonComponent, "app-chr-button", never, { "display": { "alias": "display"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "click": { "alias": "click"; "required": false; }; "clickWhileDisabled": { "alias": "clickWhileDisabled"; "required": false; }; "color": { "alias": "color"; "required": false; }; "textColor": { "alias": "textColor"; "required": false; }; "flat": { "alias": "flat"; "required": false; }; "predicate": { "alias": "predicate"; "required": false; }; "type": { "alias": "type"; "required": false; }; "href": { "alias": "href"; "required": false; }; "target": { "alias": "target"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "tooltipPosition": { "alias": "tooltipPosition"; "required": false; }; }, {}, never, never, true, never>;
}
