import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { ChrBaseInputComponent } from '../chr-base-input/chr-base-input.component';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { DatePipe } from '@angular/common';
import * as i0 from "@angular/core";
export declare class ChrDatetimeInputComponent extends ChrBaseInputComponent implements ControlValueAccessor, OnInit, AfterViewInit, OnDestroy {
    private datePipe;
    constructor(ngControl: NgControl, datePipe: DatePipe);
    writeValue(obj: any): void;
    ngOnInit(): void;
    onInputChange: (value: any) => void;
    parseDate: (event: string) => Date | null;
    dateToString: (value: Date) => string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChrDatetimeInputComponent, [{ optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChrDatetimeInputComponent, "chr-datetime-input", never, {}, {}, never, never, true, never>;
}
