import { AfterContentChecked, AfterViewChecked, AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ChrBaseInputComponent } from '../chr-base-input/chr-base-input.component';
import { NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ChrTextareaInputComponent extends ChrBaseInputComponent implements OnInit, AfterViewInit, OnDestroy, AfterViewChecked, AfterContentChecked {
    input: ElementRef | null;
    constructor(ngControl: NgControl);
    ngAfterViewInit(): void;
    ngAfterContentChecked(): void;
    ngAfterViewChecked(): void;
    resize: (textArea?: HTMLTextAreaElement) => void;
    preventSubmit: (event: Event) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChrTextareaInputComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChrTextareaInputComponent, "chr-textarea-input", never, {}, {}, never, never, true, never>;
}
