import { ChangeDetectorRef, OnInit } from '@angular/core';
import { ILiveUpdateMessage } from '../models/live-update-message';
import { LoaderService } from '../services/loader.service';
import { LiveUpdateService } from '../services/live-update.service';
import * as i0 from "@angular/core";
export declare class ChrSpinnerComponent implements OnInit {
    loader: LoaderService;
    liveUpdate: LiveUpdateService;
    private changeDetector;
    message: ILiveUpdateMessage;
    constructor(loader: LoaderService, liveUpdate: LiveUpdateService, changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    display: (message: ILiveUpdateMessage | null) => string | null | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChrSpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChrSpinnerComponent, "app-chr-spinner", never, {}, {}, never, never, true, never>;
}
