import { HttpFeature, HttpInterceptorFn } from "@angular/common/http";
import { InjectionToken } from "@angular/core";
export interface IXsrfProviderParams {
    xsrfHeader: string;
    xsrfCookie?: string;
    hubUrl?: string;
    interceptors?: HttpInterceptorFn[];
    features?: HttpFeature<any>[];
}
export declare const provideXsrfHttpClient: (params: IXsrfProviderParams) => any[];
export declare const XSRFHEADERNAME: InjectionToken<string>;
export declare const XSRFCOOKIENAME: InjectionToken<string>;
export declare const HUBURL: InjectionToken<string>;
