import { AbstractControl, ValidationErrors, Validator, ValidatorFn } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class MaxLengthValidatorDirective implements Validator {
    treshold?: number;
    validate(control: AbstractControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaxLengthValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MaxLengthValidatorDirective, "[app-maxlength]", never, { "treshold": { "alias": "treshold"; "required": false; }; }, {}, never, never, true, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MaxLengthValidatorDirective>;
}
export declare function maxLength(treshold: number): ValidatorFn;
