import { AbstractControl, ValidationErrors, Validator, ValidatorFn } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RequiredValidatorDirective implements Validator {
    required?: boolean;
    validate(control: AbstractControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<RequiredValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RequiredValidatorDirective, "[app-required]", never, { "required": { "alias": "required"; "required": false; }; }, {}, never, never, true, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RequiredValidatorDirective>;
}
export declare function required(required?: boolean): ValidatorFn;
