import * as i0 from "@angular/core";
export declare class CookiesService {
    constructor();
    /**
     * delete cookie
     * @param name
     */
    deleteCookie(name: string): void;
    /**
     * get cookie
     * @param {string} name
     * @returns {string}
     */
    getCookie(name: string): string;
    /**
     * set cookie
     * @param {string} name
     * @param {string} value
     * @param {number} expireDays
     * @param {string} path
     */
    setCookie(name: string, value: string, expireDays: number, path?: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CookiesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CookiesService>;
}
