import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface Toast {
    type: "error" | "success" | "warning";
    message: string;
    duration?: number;
}
export declare class ToastService {
    private toastQueue;
    private currentToastSubject;
    currentToast$: Observable<Toast | null>;
    private toastCloseSubject;
    private default_duration;
    constructor();
    current: () => Observable<Toast | null>;
    next: () => void;
    setSuccess(message?: string, time?: number): void;
    setError(message: string, time?: number): void;
    setWarning(message: string, time?: number): void;
    private set;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastService>;
}
