import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export interface Breadcrumb {
    display: string;
    link?: string;
    callback?: Function;
}
export declare class BreadcrumbComponent {
    router: Router;
    crumbs?: Breadcrumb[];
    constructor(router: Router);
    navigateTo: (uri: string, data?: any) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadcrumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadcrumbComponent, "app-chr-breadcrumb", never, { "crumbs": { "alias": "crumbs"; "required": false; }; }, {}, never, never, true, never>;
}
