import { MatDialogRef, MatDialogConfig } from '@angular/material/dialog';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { IAction } from '../chr-table/chr-table.component';
import * as i0 from "@angular/core";
export interface IDefaultDialogConfig extends MatDialogConfig<any> {
    config?: MatDialogConfig<any>;
    title: string;
    text: string;
    close?: string;
    actions?: IAction[];
}
interface DialogConfig {
    _config: {
        title: string;
        text: string;
        close: string;
        actions: IAction[];
    };
}
export declare class ChrDefaultModalComponent {
    dialogRef: MatDialogRef<ChrDefaultModalComponent>;
    config: DialogConfig;
    private sanitizer;
    valid: boolean;
    title?: string;
    text?: string;
    actions?: IAction[];
    close?: string;
    protected html: SafeHtml | null;
    constructor(dialogRef: MatDialogRef<ChrDefaultModalComponent>, config: DialogConfig, sanitizer: DomSanitizer);
    ngOnInit(): void;
    closeModal: (callback?: Function) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChrDefaultModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChrDefaultModalComponent, "app-chr-default-modal", never, { "title": { "alias": "title"; "required": false; }; "text": { "alias": "text"; "required": false; }; "actions": { "alias": "actions"; "required": false; }; "close": { "alias": "close"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
