import { AbstractControl, AsyncValidatorFn, ValidationErrors, ValidatorFn } from '@angular/forms';
export interface IControlValidation {
    rule: string;
    validator?: (control: AbstractControl) => ValidationErrors | null;
    key?: string;
    value?: any;
    display?: string;
}
export declare function SyncValidatorToAsync(validator: ValidatorFn): AsyncValidatorFn;
export declare function getValidators(rules?: IControlValidation[]): ValidatorFn[];
export declare function getAsyncValidators(rules?: IControlValidation[]): AsyncValidatorFn[];
export declare function getSyncValidators(rules?: IControlValidation[]): ValidatorFn[];
