import { AbstractControl, ValidationErrors, Validator, ValidatorFn } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class MaxDateValidatorDirective implements Validator {
    date?: Date;
    validate(control: AbstractControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MaxDateValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MaxDateValidatorDirective, "[app-max-date]", never, { "date": { "alias": "date"; "required": false; }; }, {}, never, never, true, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MaxDateValidatorDirective>;
}
export declare function maxDate(date: Date): ValidatorFn;
