import { AbstractControl, ValidationErrors, Validator, ValidatorFn } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class MinLengthValidatorDirective implements Validator {
    treshold?: number;
    validate(control: AbstractControl): ValidationErrors | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MinLengthValidatorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MinLengthValidatorDirective, "[app-minlength]", never, { "treshold": { "alias": "treshold"; "required": false; }; }, {}, never, never, true, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MinLengthValidatorDirective>;
}
export declare function minLength(treshold: number): ValidatorFn;
