export type Color = 'primary' | 'primary-contrast' | 'secondary' | 'secondary-contrast' | 'tertiary' | 'tertiary-contrast' | 'warn' | 'warn-contrast' | 'error' | 'error-contrast' | 'black' | 'white' | 'none';
export declare const Colors: {
    [key: string]: string;
};
export declare function getTextColor(color?: Color): string;
export declare function getContrastTextColor(color: Color): string;
export declare function getBackgroundColor(color?: Color): string;
export declare function getContrastBackgroundColor(color: Color): never;
export declare function getBorderColor(color?: Color): string;
export declare function getContrastBorderColor(color?: Color): string;
