import { Observable } from 'rxjs';
import { IFile } from '../models/file';
import * as i0 from "@angular/core";
export declare class FileService {
    constructor();
    fileToBase64: (file: File) => Observable<IFile>;
    toBase64: (file: IFile) => Observable<IFile>;
    toBase64WithProgress: (file: IFile) => Observable<{
        progress: number;
        file?: IFile;
    }>;
    batchToBase64: (files: IFile[]) => Observable<IFile[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileService>;
}
