import { Observable } from "rxjs";
import { ILiveUpdateMessage } from "../models/live-update-message";
import { DataService } from "./data.service";
import * as i0 from "@angular/core";
export declare class LiveUpdateService {
    private dataService;
    private _hubUrl;
    private _connection;
    private _xsrf;
    private _xsrfHeader;
    private _message;
    private _update;
    constructor(hubUrl: string, xsrfHeader: string, dataService: DataService);
    initConnection: () => Observable<void>;
    onUpdate(): Observable<string>;
    closeConnection(): Observable<void>;
    getMessage(): Observable<ILiveUpdateMessage>;
    getHubUrl: () => string;
    private pushMessage;
    static ɵfac: i0.ɵɵFactoryDeclaration<LiveUpdateService, [{ optional: true; }, { optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LiveUpdateService>;
}
